

<body>
  
  <!-- ------------------------------------ -->

  <!-- <mat-card class="mt-5 card">
    <mat-card-content class="  "> -->
      <form
        class="form justify-content-center card"
        
      >
        <div class="container my-5 log2">
          <mat-form-field appearance="outline">
            <mat-label>UserName</mat-label>
            <input
              matInput
              placeholder="UserName"
              required
              name="username"
              [(ngModel)]="model.username"
              maxlength="20"
            />
          </mat-form-field>

          <mat-form-field appearance="outline" >
            <mat-label>Password</mat-label>
            <input
              matInput
              type="password"
              placeholder="Password"
              required
              [(ngModel)]="model.password"
              name="password"
              maxlength="8"
              
            />
          </mat-form-field>
          <mat-card-actions class="justify-content-center">
            <div>
              <a
                class="btn btn-light rounded mt-4"
                (click)="close()"
                (click)="userLogin()"
                matTooltip="click to login"
                >login</a
              >

              <a
                class="btn btn-success rounded mt-4 ms-4"
                (click)="close()"
                routerLink="/log"
                matTooltip="click to signup"
                >SignUp</a
              >
            </div>
          </mat-card-actions>
          <button
          mat-raised-button
            (click)="close()"
            
            matTooltip="click to close"
           color="warn"
            class="clbtn"
          >
            close
          </button>
        </div>
      </form>
    <!-- </mat-card-content>
  </mat-card> -->






</body>
